CUnitPlugin.Rules (Gradle API 9.5.0)
Description: declaration: package: org.gradle.nativeplatform.test.cunit.plugins, class: CUnitPlugin, class: Rules

Package org.gradle.nativeplatform.test.cunit.plugins

# Class CUnitPlugin.Rules

java.lang.Object
org.gradle.model.RuleSource
org.gradle.nativeplatform.test.cunit.plugins.CUnitPlugin.Rules

Enclosing class:
  `CUnitPlugin`

static class CUnitPlugin.Rules extends RuleSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configureCUnitTestSuiteSources(CUnitTestSuiteSpec suite, File buildDir)`
  `void`
  `createCUnitLauncherTasks(TaskContainer tasks, TestSuiteContainer testSuites)`
  `void`
  `createCUnitTestBinaries(ModelMap<CUnitTestSuiteBinarySpec> binaries, CUnitTestSuiteSpec testSuite, File buildDir, org.gradle.internal.service.ServiceRegistry serviceRegistry)`
  `void`
  `registerCUnitTestBinaryType(TypeBuilder<CUnitTestSuiteBinarySpec> builder)`
  `void`
  `registerCUnitTestSuiteSpecType(TypeBuilder<CUnitTestSuiteSpec> builder)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Rules

    Rules()

- ## Method Details

  - ### registerCUnitTestSuiteSpecType

    public void registerCUnitTestSuiteSpecType(TypeBuilder<CUnitTestSuiteSpec> builder)

  - ### configureCUnitTestSuiteSources

    public void configureCUnitTestSuiteSources(CUnitTestSuiteSpec suite, File buildDir)

  - ### createCUnitLauncherTasks

    public void createCUnitLauncherTasks(TaskContainer tasks, TestSuiteContainer testSuites)

  - ### registerCUnitTestBinaryType

    public void registerCUnitTestBinaryType(TypeBuilder<CUnitTestSuiteBinarySpec> builder)

  - ### createCUnitTestBinaries

    public void createCUnitTestBinaries(ModelMap<CUnitTestSuiteBinarySpec> binaries, CUnitTestSuiteSpec testSuite, File buildDir, org.gradle.internal.service.ServiceRegistry serviceRegistry)